Page MenuHomePhabricator

Deploy kartotherian / tilerator / tileratorui configuration via scap3
Closed, ResolvedPublic

Description

Scap3 provides mechanism to deploy configurations from templates. Moving to scap3 for deplyoing configuration would provide a nice decoupling between application, configuration and puppet. This is required to modify logging level for Kartotherian. It would also greatly simplify the testing of the new postgresql tiles storage (T147223).

Event Timeline

Gehel created this task.Nov 4 2016, 3:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2016, 3:26 PM

Change 321374 had a related patch set uploaded (by Gehel):
Kartotherian: deploy application configuration with scap3

https://gerrit.wikimedia.org/r/321374

Change 321375 had a related patch set uploaded (by Gehel):
Kartotherian: deploy application configuration with scap3

https://gerrit.wikimedia.org/r/321375

Change 321376 had a related patch set uploaded (by Gehel):
Kartotherian: deploy application configuration with scap3

https://gerrit.wikimedia.org/r/321376

Gehel added a comment.Nov 17 2016, 6:04 PM

I'm thinking about how to deploy this in nice steps with sufficient testing as we don't have a test environment yet. My idea so far:

  1. manually create /etc/kartotherian/config-vars.yaml on maps-test2001
  2. merge the configuration change to kartotherian-deploy (https://gerrit.wikimedia.org/r/#/c/321376)
  3. deploy it only on maps-test2001 (scap deploy-local)
  4. test / check / compare new config to old one, ...
  5. disable puppet on all maps servers
  6. merge the puppet side of the change (https://gerrit.wikimedia.org/r/#/c/321374/)
  7. run puppet on maps-test2001
  8. test, check, ...
  9. run puppet on all maps servers
  10. deploy kartotherian on all maps servers

@Yurik does this look good to you? Can we try to deploy that on Monday 21st?

Gehel moved this task from Backlog to In progress on the Maps-Sprint board.Nov 17 2016, 6:12 PM
Yurik added a comment.Nov 17 2016, 7:27 PM

@Gehel, per discussion, yep, lets proceed on Monday.

Change 321376 merged by Gehel:
Kartotherian: deploy application configuration with scap3

https://gerrit.wikimedia.org/r/321376

Gehel added a comment.Nov 22 2016, 2:51 PM

Test deployment on maps-test2001 done, with manually generated config-vars.yaml file. The part in the kartotherian-deploy repo seems to be working just fine, diff shows only minor formatting differences with current config file. Changes to kartotherian-deploy repo have been reverted for the moment.

The full test will be during actual deployment, with the puppet changes as well, but I understand those much better than I understand the scap3 part.

debt awarded a token.Nov 22 2016, 11:15 PM
Gehel moved this task from In progress to Needs review on the Maps-Sprint board.Nov 23 2016, 9:57 AM

Change 324073 had a related patch set uploaded (by Gehel):
Kartotherian: deploy application configuration with scap3

https://gerrit.wikimedia.org/r/324073

Change 321375 abandoned by Gehel:
Kartotherian: deploy application configuration with scap3

Reason:
All changes related to kartotherian config deplyoment are merged in a single commit

https://gerrit.wikimedia.org/r/321375

Change 324073 merged by Gehel:
Kartotherian: deploy application configuration with scap3

https://gerrit.wikimedia.org/r/324073

Mentioned in SAL (#wikimedia-operations) [2016-11-29T13:54:02Z] <gehel> deploying kartotherian config with scap3 - T150021

Change 321374 merged by Gehel:
Kartotherian: deploy application configuration with scap3

https://gerrit.wikimedia.org/r/321374

Change 324185 had a related patch set uploaded (by Gehel):
kartotherian : deploy config with scap3

https://gerrit.wikimedia.org/r/324185

Change 324187 had a related patch set uploaded (by Gehel):
Kartotherian - deploy config with scap3

https://gerrit.wikimedia.org/r/324187

Change 324185 merged by Gehel:
kartotherian : deploy config with scap3

https://gerrit.wikimedia.org/r/324185

Change 324187 merged by Gehel:
Kartotherian - deploy config with scap3

https://gerrit.wikimedia.org/r/324187

Gehel added a comment.Nov 29 2016, 2:35 PM

Main config file for kartotherian is now deployed via scap3. Same work now needs to be done for tilerator / tileratorui.

Change 324190 had a related patch set uploaded (by Gehel):
node service - allow empty entry point

https://gerrit.wikimedia.org/r/324190

Gehel moved this task from Needs review to To-do on the Maps-Sprint board.Nov 30 2016, 7:10 PM
Gehel moved this task from To-do to In progress on the Maps-Sprint board.Dec 1 2016, 3:45 PM

Change 324760 had a related patch set uploaded (by Gehel):
tilerator - deplyo config with scap3

https://gerrit.wikimedia.org/r/324760

Change 324761 had a related patch set uploaded (by Gehel):
tilerator: deploy config with scap3

https://gerrit.wikimedia.org/r/324761

Change 324190 merged by Gehel:
node service - allow empty entry point

https://gerrit.wikimedia.org/r/324190

Change 324760 merged by Gehel:
tilerator - deplyo config with scap3

https://gerrit.wikimedia.org/r/324760

Change 324761 merged by Gehel:
tilerator: deploy config with scap3

https://gerrit.wikimedia.org/r/324761

Gehel closed this task as Resolved.Dec 13 2016, 5:02 PM